package com.example.demo.service;

import com.example.demo.dto.AddSNsDTO;
import com.example.demo.dto.DeleteSNsDTO;
import com.example.demo.exception.SNRepetitiveException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.FileNotFoundException;
import java.io.IOException;

public interface SNService {
    /**
     *  新增SN号
     * @param addSNsDTO SN号
     */
    void addSN(AddSNsDTO addSNsDTO) throws SNRepetitiveException, IOException;

    /**
     *  下载所有SN号
     */
    void downloadSNFile(HttpServletRequest request, HttpServletResponse response) throws IOException;

    /**
     *  获取所有加密后的SN字符串
     * @return -
     */
    String getEncryptSNs() throws IOException;

    /**
     *  删除指定SN记录
     * @param deleteSNsDTO SN号
     */
    void deleteSN(DeleteSNsDTO deleteSNsDTO) throws Exception;

}
