package com.example.demo.util;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class HttpResult<T> implements Serializable {
    public static final int CODE_SUCCESS = 200;
    public static final int CODE_FAILED = 500;

    private Integer code;

    private String message;

    private T data;

    public static <T> HttpResult<T> success() {
        return new HttpResult<>(200,"success",null);
    }

    public static <T> HttpResult<T> success(String message) {
        return new HttpResult<>(200,message,null);
    }

    public static <T> HttpResult<T> success(String message, T data) {
        return new HttpResult<>(200,message,data);
    }

    public static <T> HttpResult<T> fail() {
        return new HttpResult<>(500,"fail",null);
    }
    public static <T> HttpResult<T> fail(String message) {
        return new HttpResult<>(500,message,null);
    }
}
